Bug 445367 - openoffice.org2 x86_64 + LDAP fails without nscd
openoffice.org2 x86_64 + LDAP fails without nscd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
4.6
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 10:54 EDT by Chris Hunter
Modified: 2012-06-20 12:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hunter 2008-05-06 10:54:43 EDT
Description of problem:
Openoffice.org2 fails to start on x86_64 systems using LDAP without nscd service
enabled.

Starting "ooffice2" from command line results error message:
>(soffice.bin:6636): GLib-WARNING **: getpwuid_r(): failed due to unknown user
id (822)
>/usr/lib/openoffice.org2.0/program/soffice: line 147: 6636 Segmentation fault
(core dumped) "$sd_prog/$sd_binary" "$@"

where "user id (nnn)" is current uid.


Version-Release number of selected component (if applicable):
openoffice.org2-core-2.0.4-5.7.0.4.0.i386
nscd-2.3.4-2.39.x86_64
nss_ldap-226-20.x86_64


How reproducible:
Everytime starting openoffice.org2, for every user except root.


Steps to Reproduce:
1. Setup RHEL 4.6 x86_64 workstation with LDAP authentication 
2. edit /etc/ldap.conf:
bind_policy soft
nss_initgroups_ignoreusers root,ldap
3. stop nscd service: 
/etc/init.d/nscd stop
4. from terminal run ooffice2 or direct path to soffice:
/usr/lib/openoffice.org2.0/program/soffice

 
Actual results:
Receive error message:
>(soffice.bin:6636): GLib-WARNING **: getpwuid_r(): failed due to unknown user
id (822)
>/usr/lib/openoffice.org2.0/program/soffice: line 147: 6636 Segmentation fault
(core dumped) "$sd_prog/$sd_binary" "$@"


Expected results:
Openoffice.org2 should start.


Additional info:
I have core dump files from above error. I can send if you like. This seems
similar to other nscd/nss_ldap bugzilla reports.
Comment 1 Nalin Dahyabhai 2008-05-06 14:54:43 EDT
You've got the 32-bit office package installed, which uses the 32-bit libc, so
it needs the 32-bit version of the nss_ldap plugin for libc.  Is there a 64-bit
version of the package available?  Is this a combination that you get by default
in the distribution (installed that way? you got there using yum?) or did you
get here some other way?
Comment 2 Chris Hunter 2008-05-06 16:53:12 EDT
I _think_ openoffice.org2 only exists as 32bit packages for RHEL 4.6; I will
have to double-check.

There is a 32bit version of nss_ldap, which we have never used.
There appears to be only a 64bit version of nscd available.

These systems were orginally installed as x86_64 RHEL 4.3 or RHEL 4.5, and then
set to automatically download software updates/service packs as they become
available.

So this should be the default combination for a 64bit "workstation" install.
Comment 3 Nalin Dahyabhai 2008-05-06 17:25:38 EDT
Okay, if you can only get a 32-bit openoffice.org2, then you'll have to install
the 32-bit nss_ldap package in order for it to be able to look up user
information when nscd isn't running.  (Because processes only communicate with
nscd over a socket, a 64-bit nscd can also be used by 32-bit applications, but
the same isn't true for loadable modules like nss_ldap.)

Moving this to 'distribution', though I'm not sure if this belongs there, or in
'comps' or in 'up2date' or 'anaconda'.
Comment 4 Chris Hunter 2008-05-15 11:56:34 EDT
Can't install 32bit nss_ldap because it wants 32bit openldap package, which
conflict with the x86_64 openldap package. Suggestions ?

(In reply to comment #3)
> Okay, if you can only get a 32-bit openoffice.org2, then you'll have to install
> the 32-bit nss_ldap package in order for it to be able to look up user
> information when nscd isn't running.  (Because processes only communicate with
> nscd over a socket, a 64-bit nscd can also be used by 32-bit applications, but
> the same isn't true for loadable modules like nss_ldap.)
> 
> Moving this to 'distribution', though I'm not sure if this belongs there, or in
> 'comps' or in 'up2date' or 'anaconda'.

Comment 5 Chris Hunter 2008-05-15 12:18:10 EDT
Think I found the problem.

I disabled start_tls encryption between the x86_64 workstations & our ldap
server and openoffice2 now works.

I had problems with "sudo" in RedHat 5.0 & 5.1 hosts when they used start_tls
encryption to our redhat 4.3 openldap server.

Perhaps these problems are related ?
Comment 6 Nalin Dahyabhai 2008-05-15 14:01:25 EDT
I don't see how they could be.  The 64-bit plugin shouldn't be more or less
loadable by a 32-bit application based on the contents of the configuration file
which that plugin would consult.
Comment 7 Chris Hunter 2008-05-20 12:01:17 EDT
The problems has re-occured. The solution is to install the 32bit plugin
(nss_ldap.i386). However, it requires openldap.i386 which conflicts with
openldap.x86_64 which is installed by default. 

My fix is to force uninstall openldap.x86_64 (rpm --nodeps) then install
openldap.i386 + nss_ldap.i386. I can't install openldap.x86_64 and openldap.i386
st the same time.

Comment 10 Jiri Pallich 2012-06-20 12:12:00 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.